| GET | /api/v2/tax-declarations/reduction |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PeriodType | form | PeriodType | No | |
| PeriodValue | form | int | No | |
| PeriodYear | form | int | No |
| Name | Value | |
|---|---|---|
| Monthly | 1 | enum_Monthly |
| Quarterly | 2 | enum_Quarterly |
| Yearly | 3 | enum_Yearly |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Data | form | List<TaxDeclarationReductionDto> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | long | No | |
| ProductId | form | long | No | |
| ProductCode | form | string | No | |
| ProductName | form | string | No | |
| TaxableRevenue | form | string | No | |
| StandardTaxRate | form | double | No | |
| ReducedTaxRate | form | double | No | |
| TaxReductionAmount | form | string | No | |
| BusinessLineGroup | form | BusinessLineGroupType | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Data | form | List<TaxDeclarationReductionDto> | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/v2/tax-declarations/reduction HTTP/1.1 Host: api.pos365.vn Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Data:
[
{
Id: 0,
ProductId: 0,
ProductCode: String,
ProductName: String,
TaxableRevenue: String,
StandardTaxRate: 0,
ReducedTaxRate: 0,
TaxReductionAmount: String,
BusinessLineGroup: 0
}
]
}